Extension:WikibaseWikidataType/pt-br

From MediaWiki.org
Jump to navigation Jump to search
This page is a translated version of the page Extension:WikibaseWikidataType and the translation is 12% complete.

Other languages:
English • ‎dansk • ‎español • ‎português • ‎português do Brasil • ‎中文 • ‎日本語
Manual de extensões do MediaWiki
OOjs UI icon advanced.svg
WikibaseWikidataType
Estado da versão: experimental
WikibaseWikidataTypeScreenshot.png
Implementação Hook
Descrição Adds new wikidata-item DataType to Wikibase
Autor(es) (Zellfazetalk)
Última versão 0.1 (2016-07-03)
MediaWiki 1.26
Modifica o banco
de dados
Não
Licença Creative Commons Zero v1.0 Universal
Download https://github.com/zellfaze/wikidata-datatype.git
README.md
Traduzir a extensão WikibaseWikidataType, se estiver disponível no translatewiki.net
Verificar uso e matriz de versões

The WikibaseWikidataType extension adds new DataType named wikidata-item to Wikibase which allows Properties to reference Wikidata items.

Currently this extension manages to add a new DataType which can be assigned to a Property, but upon trying to add the new Property to an Item you will receive the following message: Handling of values for "wikidata-item" data type is not yet supported.

I am still working out how to fix this issue and allow you to actually enter data. Documentation on how to add new DataTypes to Wikidata seems pretty sparse from what I can see.

Instalação

  • Baixe e coloque o(s) arquivo(s) num diretório chamado WikibaseWikidataType na sua pasta extensions/.
  • Adicione o seguinte código ao final do seu arquivo LocalSettings.php:
    wfLoadExtension( 'WikibaseWikidataType' );
    
  • Yes Pronto – Navegue à página Special:Version em sua wiki para verificar se a instalação da extensão foi bem sucedida.

Para usuários executando o MediaWiki 1.24 ou anteriores:

As instruções acima descrevem a nova forma de instalar essa extensão utilizando wfLoadExtension() Se precisar instalar essa extensão em versões antigas (MediaWiki 1.24 e anteriores), em vez de wfLoadExtension( 'WikibaseWikidataType' );, você precisa usar:

require_once "$IP/extensions/WikibaseWikidataType/WikibaseWikidataType.php";

See also